Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 661544 - [abrt] openoffice.org-writer-1:3.1.1-19.34.fc12: SwClientIter::SwClientIter: Process /usr/lib/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] openoffice.org-writer-1:3.1.1-19.34.fc12: SwClientIter::SwClientIter: ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 16
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3633523fee34d9eb022c6d895ee...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-08 22:54 UTC by Trevin Beattie
Modified: 2012-02-28 16:06 UTC (History)
6 users (show)

Fixed In Version: libreoffice-3.5.0.3-5.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-28 16:06:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (55.95 KB, text/plain)
2010-12-08 22:54 UTC, Trevin Beattie
no flags Details
Image formatting test case (963.50 KB, application/msword)
2010-12-13 17:58 UTC, Trevin Beattie
no flags Details

Description Trevin Beattie 2010-12-08 22:54:00 UTC
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: /usr/lib/openoffice.org3/program/swriter.bin -writer
component: openoffice.org
crash_function: SwClientIter::SwClientIter
executable: /usr/lib/openoffice.org3/program/swriter.bin
kernel: 2.6.32.16-150.fc12.i686.PAE
package: openoffice.org-writer-1:3.1.1-19.34.fc12
rating: 4
reason: Process /usr/lib/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
time: 1291848107
uid: 2045

comment
-----
I've frequently had problems of this nature when the image extends up to or beyond both margins in a page.  The writer will either insert a blank page or attempt to insert an endless number of pages.

How to reproduce
-----
1. Inserted an image from a file.  The image was given a width that extended to both left and right margins and was attached to the paragraph.
2. Changed the attachment from "to paragraph" to "as character."  OpenOffice.org Writer proceeded to insert 1,100 blank pages into my document.
3. Attempted to undo the style change.  Crash.

Comment 1 Trevin Beattie 2010-12-08 22:54:02 UTC
Created attachment 467609 [details]
File: backtrace

Comment 2 David Tardon 2010-12-09 05:19:59 UTC
F-12 is no longer supported. Can you reproduce it in a newer Fedora? I tried it in F-13 and F-14 and didn't get any crash.

Comment 3 Caolan McNamara 2010-12-09 14:50:32 UTC
Seems to work in F-13 and F-14. F-12 is not supported, which means in practice that we can't actually submit updated packages for it if we could reproduce it on F-12 :-(

Comment 4 Trevin Beattie 2010-12-09 17:49:50 UTC
I reproduced the first part of the problem perfectly well after installing Fedora 14 on a new virtual machine, copying my document and images over, and performing the same edits:

1. Deleted two consecutive images from a section.
2. Inserted the images anew.  With the default attachment to paragraph, the second image overlapped the first.
3. Changed the attachment of the second image to "as character".  That seemed to work correctly.
4. Changed the attachment of the first image to "as character".  Writer proceeded to insert well over a thousand blank pages.
5. When Writer seemed to have finished, I touched the scroll bar and then it inserted a few hundred more blank pages.

At this point Writer stopped responding (it was eating up all my memory and over half the swap file so far,) so was unable to retry the Undo operation that caused the crash yesterday or get a stack trace.  All I could do was kill the process from a terminal.

I tried reproducing the problem once more and this time went straight for the Edit menu as soon as the page count started racing upwards.  After another thousand pages were added I managed to hit Undo, and this time it did not crash.

Unfortunately I can't send the actual document and images I'm using as they are corporate internal documents, but as I said I've had this same problem in several other documents where I've inserted a lot of images.

Comment 5 Caolan McNamara 2010-12-09 18:01:57 UTC
If you are able to email the docs to me privately I could have a go at trying to reproduce this.

Comment 6 Trevin Beattie 2010-12-13 17:58:46 UTC
Created attachment 468438 [details]
Image formatting test case

Attached is an example document that demonstrates the first part of the problem: inserting 1000+ blank pages.  At the end of section 12.1 there are two images; the second one overlaps the first.  Change the anchor of both images from "To Paragraph" to "As Character".

Comment 7 Caolan McNamara 2010-12-14 08:56:03 UTC
Reproducible. Thanks for that.

Comment 8 Caolan McNamara 2010-12-17 19:51:44 UTC
Tricky, well at least fixed the .doc import so that export to .odt and reload gives the exact same looping document :-). Doesn't get me closed to fixing this however.

Comment 9 Caolan McNamara 2012-02-28 16:06:31 UTC
seems fixed in 3.5.0 in Fedora 17 (and master as far as I can tell). Can't tell the exact commit which fixed this for backporting, so will have to wait until F-17 unfortunately,


Note You need to log in before you can comment on or make changes to this bug.